<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

use Kufer\Admin\Classes\Settings\Helper\Tools\LinkHelper;

$sortId = 13;
$toolId = \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;

$settingsArray = array();

array_push($settingsArray, LinkHelper::createHardlinkSettingItemToWssField(321, $toolId));

$setting = new Setting();
$setting->description = 'Fahrtkosten und Spesen werden nur ausgegeben, wenn größer 0.<br />'
        . 'Falls nur das Honorar angegeben ist, wird auf die Ausgabe der Summe verzichtet.<br />'
        . 'Falls keine Fahrtkosten angegeben sind, entfallen die ensprechenden Spalten/Titel.';
$setting->subGroup = 'Einstellungen für die Honoraranzeige';
$setting->config->loadConfiguration(SC_INFOTEXT);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'zusatz_vertrag_anzeigen';
$setting->description = '<div class="honoraranzeigeEinstell" style="width:26em;">zusätzliche vertragliche Vereinbarungen anzeigen</div>';
$setting->help = '';
$setting->subGroup = 'Einstellungen für die Honoraranzeige';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'honorar_nur_gesamtbetrag';
$setting->description = 'Nur Gesamtbetrag des Honorars anzeigen';
$setting->subGroup = 'Einstellungen für die Honoraranzeige';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'fahrtkosten_nur_gesamtbetrag';
$setting->description = 'Nur Gesamtbetrag der Fahrtkosten anzeigen';
$setting->subGroup = 'Einstellungen für die Honoraranzeige';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'spesen_nur_gesamtbetrag';
$setting->description = 'Nur Gesamtbetrag der Spesen anzeigen';
$setting->subGroup = 'Einstellungen für die Honoraranzeige';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'honorar_mit_unterkursen';
$setting->description = 'Unterkurse mit einbeziehen';
$setting->help = 'Ist diese Einstellung gesetzt werden das Honorar und die Zahlungen der direkten Unterkurse mit angezeigt.<br>'
        . 'Da das Honorar nur Zusammengefasst angezeigt werden kann, sollten die drei Einstellungen "Nur Gesamtbetrag" für Honorar, Fahrtkosten und Spesen gesetzt werden.<br>'
        . 'DMZ-Betrieb wird vorausgesetzt.';
$setting->subGroup = 'Einstellungen für die Honoraranzeige';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);